<html>
<head>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.6/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
<!--<script type="text/javascript" src="MathJax/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>-->
<script type="text/javascript" src="jquery-1.10.2.js"></script>
<script type="text/javascript" src="calculationlib/matrixlib.js"></script>
<script type="text/javascript" src="calculationlib/polynomial.js"></script>
<script type="text/javascript" src="calculationlib/mathhelper.js"></script>

<style>
input {margin-top: .7em}
.mathtex {
   padding: 5px;
}
</style>

<script>
var mthhlp = new mathhelper();

$(document).ready(function() {
  var result = $("#result");
  
  $("#btnWrite").on('click', function() {
	  var tex = $("#MathInput").val();
	  mthhlp.out.write(result, tex);
  });
  $("#btnClear").on('click', function() {
	  mthhlp.out.clear(result);
  });
  $("#btnReadMatrix").on('click', function() {
	  var text = $("#txtGeneratorMatrix").val();
	  var data = mthhlp.read.matrix(text);
    var matrix = new Matrix(data);
    mthhlp.out.write(result, matrix.ToLatex());
  });
  $("#btnReadPolynomial").on('click', function() {
    var tex = $('#Polynomial').val();
    var data = mthhlp.read.polynomial(tex);
    var poly = new Polynomial(data);
    mthhlp.out.write(result, poly.Text);
  });
})
</script>


</head>
<body>

<div>
<input id="MathInput" size="80" />
<input id="btnWrite" type="button" value="Write" />
<input id="btnClear" type="button" value="Clear" />
</div>
<p />

<div>
<textarea class="form-control" id="txtGeneratorMatrix" rows="5">
1 1 1 1 1 1 1
1 0 0 0 1 0 1
1 1 0 0 0 1 0
0 1 1 0 0 0 1
</textarea>
<input id="btnReadMatrix" type="button" value="ReadMatrix" />
</div>

<p />

<div>
<input id="Polynomial" type="text" value="- 4x^2 + 3x^4  - x + 2" />
<input id="btnReadPolynomial" type="button" value="Read" />
</div>

<div id="result">
</div>


</body>
</html>
